| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::Shear Struct Reference

`#include <shear.h>`

## Public Member Functions
| Shear ()
| Shear (double xy, double xz, double yz)
bool | operator== (const Shear &o) const
bool | operator!= (const Shear &o) const

## Public Attributes
union {
struct {
double xy = 0.0
double xz = 0.0
double yz = 0.0
} |
double e [3]
}; |

## Detailed Description

Definition at line 12 of file shear.h.

## Constructor & Destructor Documentation

## ◆ Shear() [1/2]

impeller::Shear::Shear | ( |  | ) |
| inline

Definition at line 22 of file shear.h.

22 {}

## ◆ Shear() [2/2]

impeller::Shear::Shear | ( | double | xy,
|  | double | xz,
|  | double | yz
| ) |  |
| inline

Definition at line 24 of file shear.h.

24 : xy(xy), xz(xz), yz(yz) {}

## Member Function Documentation

## ◆ operator!=()

bool impeller::Shear::operator!= | ( | const Shear & | o | ) | const
| inline

Definition at line 30 of file shear.h.

30 { return !(*this == o); }

## ◆ operator==()

bool impeller::Shear::operator== | ( | const Shear & | o | ) | const
| inline

Definition at line 26 of file shear.h.

26 {
27 return xy == o.xy && xz == o.xz && yz == o.yz;
28 }

References xy, xz, and yz.

## Member Data Documentation

## ◆ @19

union { ... }

## ◆ e

double impeller::Shear::e[3]

Definition at line 19 of file shear.h.

Referenced by impeller::Matrix::Matrix().

## ◆ xy

double impeller::Shear::xy = 0.0

Definition at line 15 of file shear.h.

Referenced by impeller::Matrix::Decompose(), and operator==().

## ◆ xz

double impeller::Shear::xz = 0.0

Definition at line 16 of file shear.h.

Referenced by impeller::Matrix::Decompose(), and operator==().

## ◆ yz

double impeller::Shear::yz = 0.0

Definition at line 17 of file shear.h.

Referenced by impeller::Matrix::Decompose(), and operator==().

The documentation for this struct was generated from the following file:

- impeller/geometry/shear.h

impeller::Shear::yz
double yz
Definition: shear.h:17
impeller::Shear::xz
double xz
Definition: shear.h:16
impeller::Shear::xy
double xy
Definition: shear.h:15